<nav class="navbar navbar-toggleable-md navbar-inverse fixed-top bg-inverse text-white">
  <a class="navbar-brand d-flex align-items-center justify-content-center font-weight-bold text-uppercase"
     routerLink="/" (click)="setAll()">
    <img src="./assets/logo.png" style="height: 30px; width: auto" class="pr-2" alt="Researchways (Design Research Techniques)"/>
    researchways
  </a>
  <div class="row topborder searchrow">
    <div class="col-8 col-lg-7">
      <div class="input-group ">
        <input type="text" class="form-control no-border-radius border-0" (keyup)="search(sear.value)" #sear placeholder="Search ...">
        <span class="input-group-addon no-border-radius border-0" (click)="search('');sear.value='';setAll()">X</span>
      </div>
      <!--<input class="form-control mr-sm-2" type="text" placeholder="Search" (keyup)="search(sear.value)" #sear>-->
    </div>
    <div class="col-4 col-lg-5 d-flex align-items-center justify-content-center">
      <button class="btn btn-outline-secondary btn-block no-border-radius pl-0 pr-0" (click)="setTopTen()">Top 10!</button>
    </div>
  </div>
  <div class="container-fluid">
    <div class="row lg-ml-auto">
      <div class="col-6 col-md-4  btn bg1 no-border-radius "
           (click)="setCategory('discover')" [ngClass]="{'selected': currentcategory === 'discover'}">
        Discover
      </div>
      <div class="col-6 col-md-4  btn bg2 no-border-radius "
           (click)="setCategory('define')" [ngClass]="{'selected': currentcategory === 'define'}">
        Define
      </div>
      <div class="col-6 col-md-4  btn bg3 no-border-radius "
           (click)="setCategory('conceptualize')" [ngClass]="{'selected': currentcategory === 'conceptualize'}">
        Conceptualize
      </div>
      <div class="col-6 col-md-4  btn bg4 no-border-radius "
           (click)="setCategory('design')" [ngClass]="{'selected': currentcategory === 'design'}">
        Design
      </div>
      <div class="col-6 col-md-4  btn bg5 no-border-radius "
           (click)="setCategory('implement')" [ngClass]="{'selected': currentcategory === 'implement'}">
        Implement
      </div>
      <div class="col-6 col-md-4  btn bg6 no-border-radius "
           (click)="setCategory('evaluate')" [ngClass]="{'selected': currentcategory === 'evaluate'}">
        Evaluate
      </div>
    </div>
  </div>
</nav>
<router-outlet></router-outlet>
